Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.delta
Class RetainAllValuesOperation

    java.lang.Object
      org.infinispan.schematic.internal.delta.Operation
          org.infinispan.schematic.internal.delta.ArrayOperation
              org.infinispan.schematic.internal.delta.RetainAllValuesOperation

    public class RetainAllValuesOperation

extends ArrayOperation

An atomic array add operation for SchematicValueDelta.

Since:
  5.1
Author:
  Randall Hauch (C) 2011 Red Hat Inc.

Nested Class Summary
`static class` | `RetainAllValuesOperation.Externalizer`

Field Summary
`protected List<Array.Entry>` | `removedEntries`
`protected Collection<?>` | `values`

Fields inherited from class org.infinispan.schematic.internal.delta.Operation
`parentPath`

Constructor Summary
`RetainAllValuesOperation(Path parentPath, Collection<?> values)`

Method Summary
`List<Array.Entry>` | `getRemovedEntries()`
`Collection<?>` | `getRetainedValues()`
`void` | `replay(MutableDocument delegate)`
`void` | `rollback(MutableDocument delegate)`
`String` | `toString()`

Methods inherited from class org.infinispan.schematic.internal.delta.ArrayOperation
`mutableParent`

Methods inherited from class org.infinispan.schematic.internal.delta.Operation
`getParentPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### values

    protected final Collection<?> values

### removedEntries

    protected transient List<Array.Entry> removedEntries

Constructor Detail

### RetainAllValuesOperation

    public RetainAllValuesOperation(Path parentPath,
                                    Collection<?> values)

Method Detail

### rollback

    public void rollback(MutableDocument delegate)

  Specified by:
    `rollback` in class `Operation`

### getRetainedValues

    public Collection<?> getRetainedValues()

### getRemovedEntries

    public List<Array.Entry> getRemovedEntries()

### replay

    public void replay(MutableDocument delegate)

  Specified by:
    `replay` in class `Operation`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.